## lupin 0.57

=== grub-install/Makefile ===
CFLAGS := -O2 -g -Wall

all: newns

newns: newns.c
	$(CC) $(CFLAGS) $^ -o $@

clean:
	rm -f newns

## lupin 0.8

=== debian/changelog ===
lupin (0.8) gutsy; urgency=low

  [ Agostino Russo ]
  * Added importing of override_files, so that external files can be used by
    early_command (once that is supported).
  * Removed importing of early_command, late_command and packages, to be
    replaced with native facilities in ubiquity at a later point.

  [ Colin Watson ]
  * Fix typo that broke find_path_cleanup.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Oct 2007 23:29:11 +0100

lupin (0.7) gutsy; urgency=low

  [ Agostino Russo ]
  * Mount /isodevice read-write, and move-mount it into /root once that's
    possible.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Sep 2007 15:41:24 +0100

lupin (0.6) gutsy; urgency=low

  * Don't call find_path_cleanup in find_iso script; it breaks it (thanks,
    Agostino Russo).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Sep 2007 19:56:39 +0100

lupin (0.5) gutsy; urgency=low

  * Install a bit more defence against device names containing slashes after
    "/dev/".
  * Unmount and remove the mountpoint created by find_path when we're
    finished with it.
  * Localise a few more variables in find_path to avoid interfering with
    callers.
  * Call wait_for_devs within find_path, and have it remember for itself
    whether it's been called already.
  * While debconf-set-selections doesn't care about CR/LF line endings in
    preseed files, fix_preseed does. Oops. Strip off stray CRs there.
  * Suppress an error message when copying the preseed file.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Sep 2007 19:46:13 +0100

lupin (0.4) gutsy; urgency=low

  * Skip waiting for devices if find_iso= is not on the kernel command line.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Sep 2007 16:31:26 +0100

lupin (0.3) gutsy; urgency=low

  [ Agostino Russo ]
  * Allow scanning devices that are already mounted.
  * Fix some minor bugs.

  [ Colin Watson ]
  * Fix preseeding if partition number is greater than 9.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Sep 2007 14:50:19 +0100

lupin (0.2) gutsy; urgency=low

  [ Geza Kovacs ]
  * Add XFS and JFS to supported filesystems. Fix broken reiserfs string
    which causes reiser4 (unsupported) to be detected as reiserfs
    (supported).

  [ Colin Watson ]
  * Remove xinit-ubiquity, now integrated into ubiquity.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Sep 2007 17:24:48 +0100

lupin (0.1) gutsy; urgency=low

  * Initial release.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Aug 2007 21:08:00 +0100

=== debian/control ===
Source: lupin
Section: misc
Priority: extra
Maintainer: Agostino Russo <agostino.russo@gmail.com>
Uploaders: Colin Watson <cjwatson@ubuntu.com>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.7.2
XS-Vcs-Bzr: bzr+ssh://bazaar.launchpad.net/~ubuntu-installer/lupin/gutsy

Package: lupin-casper
Architecture: all
Depends: initramfs-tools (>= 0.40ubuntu11), casper (>= 0.98)
Description: Add support for loop-mount installations to casper
 The Wubi installer provides a means for installing Ubuntu into a
 loop-mounted filesystem image hosted on a Windows filesystem. lupin-casper
 provides hooks to find an ISO image on a hard disk and to read a preseed
 file from a hard disk, which are used in the early part of this process.

Package: lupin-support
Architecture: all
Depends: procps, lsb-base (>= 3.0-6)
Description: Support files for loop-mount installations
 The Wubi installer provides a means for installing Ubuntu into a
 loop-mounted filesystem image hosted on a Windows filesystem. lupin-support
 provides a few extra files needed in such installations to make them work
 well.

=== debian/rules ===
#! /usr/bin/make -f

build:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installchangelogs -i
	dh_installinit -i -u'start 18 S .' --name=lupin-sysctl
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-arch binary-indep
.PHONY: build clean install binary-arch binary-indep binary

## lupin 0.16

=== debian/changelog ===
lupin (0.16) hardy; urgency=low

  * Tighten /proc/mounts test to avoid e.g. /dev/sda10 matching a search for
    /dev/sda1, thereby causing partman-auto-loop to operate on the wrong
    partition (thanks, Agostino Russo; LP: #216161).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Apr 2008 15:57:27 +0100

lupin (0.15) hardy; urgency=low

  * Adjust sysctl calls per comments from Colin King in 204133.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 10 Apr 2008 10:53:55 -0400

lupin (0.14) hardy; urgency=low

  * Disable the mounthost initscript.  /host is already rw when it runs.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 09 Apr 2008 09:59:40 -0400

lupin (0.13) hardy; urgency=low

  [ Colin Watson ]
  * Remove 'set -x' to make the boot process less verbose. Such things
    should only be put in place temporarily for debugging, not checked in.

  [ Agostino Russo ]
  * Do not use awk in mounthost (LP: #198007)
  * Do not use awk in lupin-sysctl (thanks to Luke Yelavich for pointing
    it out)
  * Do not assume that mounthost has to always remount rw
  * Try to set the ro/rw status of the loopdevice as well using blockdev
    (thanks to Colin Watson for the tip)
  * Add ISO 9660 to is_supported_fs function (LP: #206989)
  * In mounthost ignore fstab lines that are commented out

  [ Evan Dandrea ]
  * Replace use of sed in mounthost and lupin-sysctl with a cleaner loop.

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 07 Apr 2008 11:07:42 -0400

lupin (0.12) hardy; urgency=low

  * Removed lupin-support/umounthost since it's functionality has
    been merged upstream within umountroot.
  * When scanning the devices, repeat the process to give time to
    devices to appear (LP: #188952)
  * Cleaned debian rules from old entries
  * Updated changelog
  * Replicated local-bottom/ntfs_3g into casper-bottom, in order to
    ensure that ntfs_3g is not killed by sendsigs (LP: #191036)
  * Renamed find_iso -> iso-scan/filename (LP: #189630)

 -- Agostino Russo <agostino.russo@gmail.com>  Mon, 11 Feb 2008 21:59:59 +0000

lupin (0.11) hardy; urgency=low

  [ Colin Watson ]
  * Vcs-Bzr is now an official field. Use an unauthenticated URL for it.

  [ Agostino Russo ]
  * Added more generic external hooks.
  * Modified algorithm to detect loopinstallations
  * Removed ntfs-3g fixes which have ben merged upstream

  [ Evan Dandrea ]
  * Pointed VCS-Bzr to the Hardy branch.
  * Removed custom-installation= option (debian-installer/custom-
    installation= still exists).
  * Removed unnecessary debian/ directory files.

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 18 Jan 2008 10:10:14 -0500

lupin (0.10) gutsy; urgency=low

  [ Agostino Russo ]
  * Use find command instead of root command in update-grub to go around 
    different grub4dos device mapping ordering
  * Added mounthost (preliminary) to remount the host device at boot

 -- Agostino Russo <agostino.russo@gmail.com>  Sun, 20 Oct 2007 23:00:24 +0100

lupin (0.9) gutsy; urgency=low

  [ Agostino Russo ]
  * Added init scripts to handle reboot of loopinstallations.
  * Added patched version of update-grub
  * Added patch for initramfs-tools to properly set sendsigs.omit

 -- Agostino Russo <agostino.russo@gmail.com>  Sun, 20 Oct 2007 23:00:24 +0100

## lupin 0.20

=== debian/changelog ===
lupin (0.20) hardy-proposed; urgency=low

  * Use the absolute path when testing the iso_path. (See LP #226622)

 -- Agostino Russo <agostino.russo@gmail.com>  Sat, 14 Jun 2008 09:11:28 +0100

lupin (0.19) hardy-proposed; urgency=low

  [ Agostino Russo ]
  * Fixed typos (thanks Steve Langasek and JP Vossen)
  * Do not set LIVEMEDIA_OFFSET if the target is not an (ISO) file. This
    is a useful check per se', but it is also required to allow using
    iso_scan to look for iso content such as squashfs which in turn
    would help with LP: #207137
  * Provide a clearer error when required installation files cannot be
    found (LP: #226622)

  [ Evan Dandrea ]
  * Note that you need to reboot twice when using chkdsk.

  [ Tormod Volden ]
  * Add locale support to ntfs host filesystems, to keep files and
    directories with non-C characters (utf) from disappearing.
    (LP: #136682)

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 29 May 2008 10:53:15 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Colin Watson <cjwatson@ubuntu.com>
 Build-Depends: debhelper (>= 4)
 Standards-Version: 3.7.2
-XS-Vcs-Bzr: bzr+ssh://bazaar.launchpad.net/~ubuntu-installer/lupin/gutsy
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-installer/lupin/hardy
 
 Package: lupin-casper
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 	dh_installdocs -i
 	dh_installchangelogs -i
 	dh_installinit -i -u'start 18 S .' --name=lupin-sysctl
+	#dh_installinit -i -u'start 18 S .' --name=mounthost
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i

## lupin 0.22

=== debian/changelog ===
lupin (0.22) intrepid; urgency=low

  * Disabling lupin-sysctl since its functionality has been replaced by
    syncio (LP: #204133). Lupin-sysctl is not actively removed if
    already installed since syncio also requires a change to menu.lst.

 -- Agostino Russo <agostino.russo@gmail.com>  Thu, 02 Oct 2008 23:27:48 +0100

lupin (0.21) intrepid; urgency=low

  * Add an initramfs hook to copy scripts/lupin-helpers over.
    initramfs-tools (>= 0.86) will no longer copy it automatically.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Jul 2008 12:26:05 +0100

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,10 @@
 	dh_testroot
 	dh_installdocs -i
 	dh_installchangelogs -i
-	dh_installinit -i -u'start 18 S .' --name=lupin-sysctl
+	## no need to remove pre-existing versions of lupin-sysctl
+	## since syncio, which replaces lupin-sysctl, might not be
+	## properly set-up in menu.lst
+	#dh_installinit -i -u'start 18 S .' --name=lupin-sysctl
 	#dh_installinit -i -u'start 18 S .' --name=mounthost
 	dh_compress -i
 	dh_fixperms -i

## lupin 0.27

=== debian/changelog ===
lupin (0.27) karmic; urgency=low

  * Support ext4 in lupin-helpers, since it's now the default filesystem
    (thanks, Kano; LP: #460740).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Oct 2009 12:10:05 +0000

lupin (0.26) karmic; urgency=low

  * Divert grub-install and replace it with a wrapper that upgrades wubildr
    if running in a loop-mounted installation (LP: #460192).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Oct 2009 11:46:07 +0000

lupin (0.25) karmic; urgency=low

  * Put lupin-waited-for-devs state file in /dev/.initramfs; there's no
    /var/run in the initramfs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Sep 2009 15:23:04 +0100

lupin (0.24) karmic; urgency=low

  * Call update-grub on lupin-support installation. This is needed for fresh
    Wubi installs, since lupin-support is installed after grub-installer
    runs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Sep 2009 19:54:28 +0100

lupin (0.23) karmic; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Agostino Russo ]
  * Added script to upgrade grub (wubildr) on the host, (needs to be
    hooked)
  * Added grub.d script to support loopinstallations, the file was
    contributed by Colin Watson
  * Removed old lupin sysctl file

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Sep 2009 17:37:27 +0100

## lupin 0.29

=== debian/changelog ===
lupin (0.29) lucid; urgency=low

  * Fix infinite loop if there's no initrd (LP: #540579).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Mar 2010 09:16:15 +0000

lupin (0.28) lucid; urgency=low

  * Don't corrupt wubildr if grub-mkimage is interrupted.
  * Fix /etc/grub.d/10_lupin to handle separate /boot (thanks, Mark Abene;
    LP: #477104).
  * Handle separate /boot in grub-mkimage, based on a patch from Mark Abene
    (LP: #477104).
  * Source /scripts/casper-functions only after processing 'prereqs'
    argument, to avoid warnings with new initramfs-tools.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Mar 2010 19:11:03 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: extra
 Maintainer: Agostino Russo <agostino.russo@gmail.com>
 Uploaders: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 4)
+Build-Depends: debhelper (>= 7)
 Standards-Version: 3.7.2
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-installer/lupin/hardy
 
 Package: lupin-casper
 Architecture: all
-Depends: initramfs-tools (>= 0.40ubuntu11), casper (>= 0.98)
+Depends: ${misc:Depends}, initramfs-tools (>= 0.40ubuntu11), casper (>= 0.98)
 Description: Add support for loop-mount installations to casper
  The Wubi installer provides a means for installing Ubuntu into a
  loop-mounted filesystem image hosted on a Windows filesystem. lupin-casper
@@ -18,7 +18,7 @@
 
 Package: lupin-support
 Architecture: all
-Depends: procps, lsb-base (>= 3.0-6)
+Depends: ${misc:Depends}, procps, lsb-base (>= 3.0-6)
 Description: Support files for loop-mount installations
  The Wubi installer provides a means for installing Ubuntu into a
  loop-mounted filesystem image hosted on a Windows filesystem. lupin-support

## lupin 0.29.1

=== debian/changelog ===
lupin (0.29.1) lucid-proposed; urgency=low

  * Detect the case where Wubi's disk images were installed to a different
    partition from Windows, which means that wubildr will not be on /host:
    update all wubildr images we can find (LP: #610898).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Jun 2011 16:10:13 +0100

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,9 @@
  file from a hard disk, which are used in the early part of this process.
 
 Package: lupin-support
-Architecture: all
-Depends: ${misc:Depends}, procps, lsb-base (>= 3.0-6)
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, procps, lsb-base (>= 3.0-6)
+Breaks: grub-pc (<< 1.98-1ubuntu12~)
 Description: Support files for loop-mount installations
  The Wubi installer provides a means for installing Ubuntu into a
  loop-mounted filesystem image hosted on a Windows filesystem. lupin-support

## lupin 0.32

=== debian/changelog ===
lupin (0.32) maverick; urgency=low

  * Add the font, gfxterm, and gettext modules to the wubildr image, to
    support our default configuration file (LP: #653134).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Oct 2010 16:40:23 +0100

lupin (0.31) maverick; urgency=low

  * wubildr.cfg needs to be run using GRUB's normal parser rather than its
    rescue parser.  Rather than embedding it directly as a configuration
    file, embed it as a memdisk and add wubildr-bootstrap.cfg which invokes
    it using normal mode (LP: #617715).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 02 Sep 2010 12:23:00 +0100

lupin (0.30) maverick; urgency=low

  * Pass new -O option to grub-mkimage (see Debian #584415).
  * Include normal.mod rather than sh.mod, due to upstream changes on
    2010-06-10.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Jun 2010 17:28:08 +0100

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,9 @@
  file from a hard disk, which are used in the early part of this process.
 
 Package: lupin-support
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, procps, lsb-base (>= 3.0-6)
-Breaks: grub-pc (<< 1.98-1ubuntu12~)
+Architecture: all
+Depends: ${misc:Depends}, procps, lsb-base (>= 3.0-6)
+Breaks: grub-pc (<< 1.98+20100527)
 Description: Support files for loop-mount installations
  The Wubi installer provides a means for installing Ubuntu into a
  loop-mounted filesystem image hosted on a Windows filesystem. lupin-support

## lupin 0.32.1

=== debian/changelog ===
lupin (0.32.1) maverick-proposed; urgency=low

  * Detect the case where Wubi's disk images were installed to a different
    partition from Windows, which means that wubildr will not be on /host:
    update all wubildr images we can find (LP: #610898).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Jun 2011 16:11:29 +0100

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,9 @@
  file from a hard disk, which are used in the early part of this process.
 
 Package: lupin-support
-Architecture: all
-Depends: ${misc:Depends}, procps, lsb-base (>= 3.0-6)
-Breaks: grub-pc (<< 1.98+20100527)
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, procps, lsb-base (>= 3.0-6)
+Breaks: grub-pc (<< 1.98+20100804-5ubuntu3.3~)
 Description: Support files for loop-mount installations
  The Wubi installer provides a means for installing Ubuntu into a
  loop-mounted filesystem image hosted on a Windows filesystem. lupin-support

## lupin 0.34

=== debian/changelog ===
lupin (0.34) natty; urgency=low

  * Use 'set -e' rather than '#! /bin/sh -e', to avoid accidents when
    debugging with 'sh -x'.
  * Fix output of '/usr/share/lupin-support/grub-probe --target=partmap' to
    be 'msdos' rather than 'part_msdos'.
  * Detect the case where Wubi's disk images were installed to a different
    partition from Windows, which means that wubildr will not be on /host:
    update all wubildr images we can find (LP: #610898).
  * Add the vbe, vga, video_bochs, and video_cirrus modules to the wubildr
    image.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 Apr 2011 16:23:13 +0100

lupin (0.33) natty; urgency=low

  * Add the true module to the wubildr image, to support our default
    configuration file.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Mar 2011 13:25:30 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Package: lupin-support
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, procps, lsb-base (>= 3.0-6)
-Breaks: grub-pc (<< 1.98+20100804-5ubuntu3.3~)
+Breaks: grub-pc (<< 1.99~20101122-1)
 Description: Support files for loop-mount installations
  The Wubi installer provides a means for installing Ubuntu into a
  loop-mounted filesystem image hosted on a Windows filesystem. lupin-support

## lupin 0.49

=== debian/changelog ===
lupin (0.49) oneiric; urgency=low

  * Fix broken patch in previous upload.

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 30 Sep 2011 16:27:13 +0100

lupin (0.48) oneiric; urgency=low

  * Fix globbing on copying the language support note in Wubi disk
    images (LP: #863053). Thanks Jean-Baptiste Lallement!

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 30 Sep 2011 10:26:36 +0100

lupin (0.47) oneiric; urgency=low

  * Fix a typo that was preventing the timezone from getting set in Wubi
    disk image installs (LP: #855287).
  * Provide a warning that the desktop is not localized and that
    Language Support needs to be run, for Wubi disk image installs in
    languages other than English (LP: #855295).

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 22 Sep 2011 12:20:19 +0100

lupin (0.46) oneiric; urgency=low

  * Provide the Wubi system with swap space when using a disk image.

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 21 Sep 2011 15:28:07 +0100

lupin (0.45) oneiric; urgency=low

  * Don't try to bind mount /root/host, as it's already done.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 20 Sep 2011 11:38:57 +0100

lupin (0.44) oneiric; urgency=low

  * Better error handling in grub-mkimage wrapper.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 15 Aug 2011 16:05:19 +0100

lupin (0.43) oneiric; urgency=low

  * Add missing configfile module to wubildr.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 09 Aug 2011 10:04:41 +0100

lupin (0.42) oneiric; urgency=low

  * Pipe preseed file from the correct location.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 02 Aug 2011 15:33:40 +0100

lupin (0.41) oneiric; urgency=low

  * Add necessary modules for disk image first boot.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 02 Aug 2011 15:21:11 +0100

lupin (0.40) oneiric; urgency=low

  * Add a plymouth message.
  * Properly use the noninteractive frontend.
  * Bind-mount /host for update-grub.
  * Add hostname.
  * Match addition of wubildr-disk.cfg disk install grub configuration
    from Wubi.

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 27 Jul 2011 11:00:41 +0100

lupin (0.39) oneiric; urgency=low

  * Support setting up Wubi from the initramfs in disk image installs.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 26 Jul 2011 20:39:25 +0100

lupin (0.38) oneiric; urgency=low

  * Include the probe module for grub.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 26 Jul 2011 20:30:35 +0100

lupin (0.37) oneiric; urgency=low

  * Use a slightly more modular GRUB core image; there's no reason why
    things like loader and video modules need to be in the core when they
    can be loaded from (loop0)/boot/grub instead.  This saves us having to
    keep track of new modules required by the default grub.cfg.  We still
    need enough modules to find /boot/grub and to execute our bootstrap
    configuration file.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Jun 2011 13:22:20 +0100

lupin (0.36) oneiric; urgency=low

  * Add the gzio module to the wubildr image, since normal.mod loads it
    unconditionally nowadays.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 Jun 2011 10:07:43 +0100

lupin (0.35) oneiric; urgency=low

  * Bring /etc/grub.d/10_lupin up to date with /etc/grub.d/10_linux
    (LP: #771732):
    - Enable menu entry translation.
    - Set classes for the benefit of gfxmenu themes.
    - Handle rootflags for btrfs.
    - Add vt.handoff=7 if a splash screen is active.
    - Don't save a new default entry if recovery mode is selected.
    - Set gfxpayload=keep unless the hardware is blacklisted.
    - Cache commands required to access /boot.
    - Print extra debugging messages in recovery mode.
    - Move second and subsequent kernels to a submenu.
    - Check GRUB_DISABLE_RECOVERY rather than GRUB_DISABLE_LINUX_RECOVERY.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 May 2011 15:09:10 +0100

## lupin 0.51

=== debian/changelog ===
lupin (0.51) precise; urgency=low

  * Never use 'set gfxpayload=keep' in recovery mode (LP: #916209).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Jan 2012 16:32:40 +0000

lupin (0.50) precise; urgency=low

  * Bring /etc/grub.d/10_lupin recovery mode into sync with recent
    Ubuntu-specific changes to /etc/grub.d/10_linux (LP: #889650):
    - Add "nomodeset".
    - Replace "single" by "recovery" if friendly-recovery is installed.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 13 Nov 2011 00:48:26 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 Package: lupin-support
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, procps, lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, ${misc:Depends}, procps, lsb-base (>= 3.0-6), user-setup
 Breaks: grub-pc (<< 1.99~20101122-1)
 Description: Support files for loop-mount installations
  The Wubi installer provides a means for installing Ubuntu into a

## lupin 0.51ubuntu1.1

=== debian/changelog ===
lupin (0.51ubuntu1.1) precise-proposed; urgency=low

  * casper-premount/20iso-scan: Don't panic the system if try_mount
    function returns an error when it encounters a CD/DVD device that
    does not have any medium or a partition has a file system that is 
    not supported by kernel. This should not panic the system because
    the target file could be in other devices. (LP: #670096)

 -- James M Leddy <james.leddy@canonical.com>  Wed, 14 Aug 2013 15:16:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lupin
 Section: misc
 Priority: extra
-Maintainer: Agostino Russo <agostino.russo@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Agostino Russo <agostino.russo@gmail.com>
 Uploaders: Colin Watson <cjwatson@ubuntu.com>
 Build-Depends: debhelper (>= 7)
 Standards-Version: 3.7.2

## lupin 0.53

=== debian/changelog ===
lupin (0.53) quantal; urgency=low

  * Only build lupin-support on architectures that also have grub-pc.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Oct 2012 17:20:11 +0100

lupin (0.52) quantal; urgency=low

  * Sync up /etc/grub.d/10_lupin with the version of /etc/grub.d/10_linux in
    GRUB 2.00.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2012 14:45:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lupin
 Section: misc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Agostino Russo <agostino.russo@gmail.com>
+Maintainer: Agostino Russo <agostino.russo@gmail.com>
 Uploaders: Colin Watson <cjwatson@ubuntu.com>
 Build-Depends: debhelper (>= 7)
 Standards-Version: 3.7.2
@@ -18,8 +17,8 @@
  file from a hard disk, which are used in the early part of this process.
 
 Package: lupin-support
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, procps, lsb-base (>= 3.0-6), user-setup
+Architecture: any-i386 any-amd64
+Depends: ${shlibs:Depends}, ${misc:Depends}, procps, lsb-base (>= 3.0-6), user-setup, grub-common (>= 2.00-5)
 Breaks: grub-pc (<< 1.99~20101122-1)
 Description: Support files for loop-mount installations
  The Wubi installer provides a means for installing Ubuntu into a

## lupin 0.54

=== debian/changelog ===
lupin (0.54) saucy; urgency=low

  [ James M Leddy ]
  * casper-premount/20iso-scan: Don't panice the system if try_mount
    function returns error when it encount a CD/DVD device does not
    have any meidum or a partition has a file system does not be
    supported by kernel. This should not panic the system because the
    target file could be in other devices. (LP: #670096)
  * debian/control: bump standards version.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 13 May 2013 22:44:04 -0500

## lupin 0.55

=== debian/changelog ===
lupin (0.55) trusty; urgency=low

  * Rewrite /usr/share/lupin-support/grub-install to avoid depending on
    being able to call the real grub-install with --grub-mkimage and
    --grub-probe options, which stopped working when it was rewritten in C
    on 2013-11-16.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Nov 2013 15:57:28 +0000

## lupin 0.56

=== debian/changelog ===
lupin (0.56) wily; urgency=medium

  * Add btrfs to supported filesystems. (LP: #1479760)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 30 Jul 2015 13:21:24 -0400

## lupin 0.57

=== debian/changelog ===
lupin (0.57) xenial; urgency=medium

  * Set UTC or LOCAL in /etc/adjtime for systemd (based on change by Roger
    Leigh in clock-setup 0.111; LP: #1541532).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Feb 2016 23:12:04 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Agostino Russo <agostino.russo@gmail.com>
 Uploaders: Colin Watson <cjwatson@ubuntu.com>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.7.2
+Standards-Version: 3.9.3
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-installer/lupin/hardy
 
 Package: lupin-casper

## lupin 0.57build1

=== Makefile ===
all clean:
	$(MAKE) -C grub-install $@

=== debian/changelog ===
lupin (0.57build1) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Apr 2017 20:51:12 +0000
